import { IMessage } from '../../definitions';
import { Services } from '../services';

const getSingleMessage = (messageId: string): Promise<IMessage> =>
	new Promise(async (resolve, reject) => {
		try {
			const result = await Services.getSingleMessage(messageId);
			if (result.success) {
				return resolve(result.message);
			}
			return reject();
		} catch (e) {
			return reject();
		}
	});

export default getSingleMessage;
